## ros-dashing-teleop-tools 1.1.0

=== debian/changelog ===
ros-dashing-teleop-tools (1.1.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Apr 2020 23:00:00 -0000

ros-dashing-teleop-tools (1.0.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-dashing-teleop-tools (1.0.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 17 Sep 2019 23:00:00 -0000

ros-dashing-teleop-tools (1.0.0-1bionic) bionic; urgency=high

  * ROS2 port (#35 <https://github.com/ros-teleop/teleop_tools/issues/35>)
    * ROS2 port
    * key_teleop pkg format 3
    * port teleop_tools_msgs
    * key_teleop catch KeyboardInterrupt
    * port mouse_teleop
    * add key_teleop.yaml
    * prepare tests
    * add xmllint test
    * fix xmllint tests
    * simplify joy_teleop retrieve_config
    * remove useless class KeyTeleop
    * Fixes for dynamic topic joy publishers
    - match_command() now compares button array length to the max
    deadman button index (apples to apples)
    - match_command function now checks if any of the deadman buttons
    are depressed before returning a match
    - properly handle a std_msgs/msg/Empty 'message_value' by not
    attempting to access its value
    - utilizes iter-items to correctly index into the config dict
    for 'axis_mappings''s 'axis' and 'button' values
    - set_member() now splits according to a dash (-) rather than a
    periond (.) to be consistent with ros2 param parsing & example yaml
    - adds the correct name to setup.py for test_key_teleop.py test
    * reduce copy/pasta
  * Contributors: Jeremie Deray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Sep 2019 23:00:00 -0000

ros-dashing-teleop-tools (0.3.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-dashing-teleop-tools (0.2.6-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-dashing-teleop-tools (0.2.5-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-dashing-teleop-tools (0.2.4-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-dashing-teleop-tools (0.2.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-dashing-teleop-tools (0.2.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-dashing-teleop-tools (0.2.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-dashing-teleop-tools (0.2.0-1bionic) bionic; urgency=high

  * Update package.xmls
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-dashing-teleop-tools (0.1.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-dashing-teleop-tools (0.1.1-1bionic) bionic; urgency=high

  * Change maintainer
  * Add key_teleop to metapackage
  * Add teleop_tools metapackage
  * Contributors: Bence Magyar, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000
