=== debian/control ===
Source: ros-dashing-teleop-tools
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-teleop-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-joy-teleop, ros-dashing-key-teleop, ros-dashing-teleop-tools-msgs, ros-dashing-ros-workspace
Description: A set of generic teleoperation tools for any robot.
